Bug 806656 - [abrt] thunderbird-11.0-5.fc16: __GI_raise: Process /usr/lib64/thunderbird/crashreporter was killed by signal 6 (SIGABRT) @Oxygen::QtSettings::kdeConfigPathList
[abrt] thunderbird-11.0-5.fc16: __GI_raise: Process /usr/lib64/thunderbird/cr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: oxygen-gtk2 (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:299c839beb92e5aaa23a4bf43cb...
:
: 807352 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 15:21 EDT by Pavel Alexeev
Modified: 2013-02-13 16:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:31:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (1.71 KB, text/plain)
2012-03-25 15:21 EDT, Pavel Alexeev
no flags Details
File: dso_list (8.34 KB, text/plain)
2012-03-25 15:21 EDT, Pavel Alexeev
no flags Details
File: coredump (2.77 MB, text/plain)
2012-03-25 15:22 EDT, Pavel Alexeev
no flags Details
File: smolt_data (3.62 KB, text/plain)
2012-03-25 15:22 EDT, Pavel Alexeev
no flags Details
File: maps (33.63 KB, text/plain)
2012-03-25 15:22 EDT, Pavel Alexeev
no flags Details
File: backtrace (27.03 KB, text/plain)
2012-03-25 15:22 EDT, Pavel Alexeev
no flags Details
File: backtrace (27.03 KB, text/plain)
2012-04-03 04:31 EDT, Pavel Alexeev
no flags Details

  None (edit)
Description Pavel Alexeev 2012-03-25 15:21:47 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/thunderbird/crashreporter /home/pasha/.thunderbird/Profiles/gm8quc20.default/minidumps/00e9450e-a3bf-8568-264a261d-6e6c9445.dmp
crash_function: __GI_raise
executable:     /usr/lib64/thunderbird/crashreporter
kernel:         3.3.0-4.fc16.x86_64
pid:            26779
pwd:            /home/pasha
reason:         Process /usr/lib64/thunderbird/crashreporter was killed by signal 6 (SIGABRT)
time:           Вс. 25 марта 2012 19:40:47
uid:            1000
username:       pasha
var_log_messages: Mar 25 19:40:47 hubbitus abrt[26781]: Saved core dump of pid 26779 (/usr/lib64/thunderbird/crashreporter) to /var/spool/abrt/ccpp-2012-03-25-19:40:47-26779 (2904064 bytes)

backtrace:      Text file, 27678 bytes
dso_list:       Text file, 8541 bytes
event_log:      Binary file, 1746 bytes
maps:           Text file, 34441 bytes
smolt_data:     Binary file, 3703 bytes

environ:
:XDG_VTNR=2
:XSUNTRANSPORT=shmem
:ORBIT_SOCKETDIR=/tmp/orbit-pasha
:KDE_MULTIHEAD=false
:'LESS_TERMCAP_mb=\x1b[01;31m'
:XDG_SESSION_ID=215
:SSH_AGENT_PID=22260
:HOSTNAME=hubbitus
:IMUS_HOME=/home/pasha/imus
:'LESS_TERMCAP_md=\x1b[01;31m'
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:'LESS_TERMCAP_me=\x1b[0m'
:TERM=dumb
:SHELL=/bin/bash
:XDG_MENU_PREFIX=kde4-
:HISTSIZE=1000
:XDG_SESSION_COOKIE=91f3bb73516042ca0159a68e00000015-1332675496.722669-1904663029
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/pasha/.gtkrc-2.0:/home/pasha/.gtkrc-2.0-kde4:/home/pasha/.kde/share/config/gtkrc-2.0
:XRE_PROFILE_NAME=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/pasha/.gtkrc:/home/pasha/.kde/share/config/gtkrc
:GS_LIB=
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-C6Q30S
:'LESS_TERMCAP_ue=\x1b[0m'
:QTINC=/usr/lib64/qt-3.3/include
:MOZILLA_FIVE_HOME=/usr/lib64/thunderbird
:KDE_FULL_SESSION=true
:'IMSETTINGS_MODULE=X compose table'
:USER=pasha
:XRE_PROFILE_LOCAL_PATH=
:XRE_START_OFFLINE=
:SSH_AUTH_SOCK=/tmp/ssh-wkGiQTa22135/agent.22135
:LIBPATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird
:GNOME_DISABLE_CRASH_DIALOG=1
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/22347,unix/unix:/tmp/.ICE-unix/22347
:USERNAME=pasha
:MOZ_APP_LAUNCHER=/usr/bin/thunderbird
:'LESS_TERMCAP_us=\x1b[01;32m'
:MAIL=/var/spool/mail/pasha
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/pasha/bin:/usr/sbin:/home/pasha/bin/php_templates:/home/pasha/bin:/usr/sbin:/home/pasha/bin/php_templates:/home/pasha/bin:/usr/sbin:/home/pasha/bin/php_templates
:QT_IM_MODULE=xim
:PWD=/home/pasha
:XMODIFIERS=@im=none
:EDITOR=mcedit
:SVN=svn+ssh://x-www.info/mnt/sgtBarracuda/SVN_test/svn/repositories/
:KDE_IS_PRELINKED=1
:LANG=ru_RU.UTF-8
:GNOME_KEYRING_PID=22130
:KDE_SESSION_UID=1000
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:XRE_PROFILE_PATH=
:LOADEDMODULES=
:KDEDIRS=/usr
:XSUNSMESIZE=512
:GDMSESSION=kde-plasma
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoreboth
:MULE_BASE=/opt/mule-standalone-3.2.0
:IMUS_MULE_2_1=/opt/mule-standalone-3.2.0
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/pasha
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=Adwaita
:DYLD_LIBRARY_PATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird
:BASH_ENV=/home/pasha/.bashrc
:LOGNAME=pasha
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:MOZ_LAUNCHED_CHILD=
:'LESS_TERMCAP_so=\x1b[01;44;33m'
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-t5cGgiY13r,guid=2da700b7afe4b1ffc533180400019d63
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:MODULESHOME=/usr/share/Modules
:NO_EM_RESTART=
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird:/usr/lib64/thunderbird
:MOZ_CRASHREPORTER_RESTART_ARG_1=--sm-config-prefix
:WINDOWPATH=2
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/thunderbird/thunderbird
:XRE_BINARY_PATH=
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/pasha
:MOZ_CRASHREPORTER_RESTART_ARG_3=--sm-client-id
:QT_PLUGIN_PATH=/home/pasha/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:MOZ_CRASHREPORTER_RESTART_ARG_2=/thunderbird-bin-OAXzEX/
:GTK_IM_MODULE=xim
:MOZ_CRASHREPORTER_RESTART_ARG_5=--screen
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/pasha/.thunderbird/Crash Reports'
:XUL_APP_FILE=
:NO_AT_BRIDGE=1
:MOZ_CRASHREPORTER_RESTART_ARG_4=10d1e9d7d5000133267440300000016470092
:MOZ_CRASHREPORTER_RESTART_ARG_7=
:'LESS_TERMCAP_se=\x1b[0m'
:XAUTHORITY=/tmp/kde-pasha/xauth-1000-_0
:MOZ_CRASHREPORTER_RESTART_ARG_6=0
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'

xsession_errors:
:*** buffer overflow detected ***: /usr/lib64/thunderbird/crashreporter terminated
:/usr/lib64/thunderbird/crashreporter[0x40a44e]
:/usr/lib64/thunderbird/crashreporter[0x40568d]
:/usr/lib64/thunderbird/crashreporter[0x405ae5]
:00400000-0040e000 r-xp 00000000 08:07 1447314                            /usr/lib64/thunderbird/crashreporter
:0060e000-00613000 rw-p 0000e000 08:07 1447314                            /usr/lib64/thunderbird/crashreporter
Comment 1 Pavel Alexeev 2012-03-25 15:21:52 EDT
Created attachment 572566 [details]
File: event_log
Comment 2 Pavel Alexeev 2012-03-25 15:21:54 EDT
Created attachment 572567 [details]
File: dso_list
Comment 3 Pavel Alexeev 2012-03-25 15:22:08 EDT
Created attachment 572568 [details]
File: coredump
Comment 4 Pavel Alexeev 2012-03-25 15:22:11 EDT
Created attachment 572569 [details]
File: smolt_data
Comment 5 Pavel Alexeev 2012-03-25 15:22:17 EDT
Created attachment 572570 [details]
File: maps
Comment 6 Pavel Alexeev 2012-03-25 15:22:20 EDT
Created attachment 572571 [details]
File: backtrace
Comment 7 Jan Horak 2012-03-27 09:24:56 EDT
According to backtrace looks like wrong call of g_spawn_command_line_sync at Oxygen::QtSettings::kdeConfigPathList
Comment 8 nucleo 2012-03-27 09:40:26 EDT
Please, verify last version from updates-testing
https://admin.fedoraproject.org/updates/FEDORA-2012-4655
Comment 9 Jan Horak 2012-03-29 09:33:55 EDT
*** Bug 807352 has been marked as a duplicate of this bug. ***
Comment 10 Pavel Alexeev 2012-04-03 04:31:16 EDT
Write mail in progress

backtrace_rating: 4
Package: thunderbird-11.0.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 11 Pavel Alexeev 2012-04-03 04:31:21 EDT
Created attachment 574785 [details]
File: backtrace
Comment 12 Fedora End Of Life 2013-01-16 12:09:08 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora End Of Life 2013-02-13 16:31:53 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.